<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFFontFormatting (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFFontFormatting (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFFontFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFFontFormatting.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFFontFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFFontFormatting" class="title">Class XSSFFontFormatting</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFFontFormatting</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                           title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFFontFormatting</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
              title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></pre>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.ss.usermodel.FontFormatting">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                        title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_NONE">SS_NONE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUB">SS_SUB</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUPER">SS_SUPER</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_DOUBLE">U_DOUBLE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_DOUBLE_ACCOUNTING">U_DOUBLE_ACCOUNTING</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_NONE">U_NONE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_SINGLE">U_SINGLE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_SINGLE_ACCOUNTING">U_SINGLE_ACCOUNTING</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#getEscapementType--">getEscapementType</a></span>()</code>
                                    <div class="block">get the type of super or subscript for the font</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#getFontColor--">getFontColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#getFontColorIndex--">getFontColorIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#getFontHeight--">getFontHeight</a></span>()</code>
                                    <div class="block">gets the height of the font in 1/20th point units</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#getUnderlineType--">getUnderlineType</a></span>()</code>
                                    <div class="block">get the type of underlining for the font</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#isBold--">isBold</a></span>()</code>
                                    <div class="block">get whether the font weight is set to bold or not</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#isItalic--">isItalic</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#isStruckout--">isStruckout</a></span>()</code>
                                    <div class="block">XMLBeans and the XSD make this look like it can have multiple
                                        values, but it is maxOccurrs=1.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#resetFontStyle--">resetFontStyle</a></span>()</code>
                                    <div class="block">set font style options to default values (non-italic, non-bold)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#setEscapementType-short-">setEscapementType</a></span>(short&nbsp;escapementType)</code>
                                    <div class="block">set the escapement type for the font</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#setFontColor-org.apache.poi.ss.usermodel.Color-">setFontColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                    <div class="block">Sets the colour to use</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#setFontColorIndex-short-">setFontColorIndex</a></span>(short&nbsp;color)</code>
                                    <div class="block">Sets the indexed colour to use</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#setFontHeight-int-">setFontHeight</a></span>(int&nbsp;height)</code>
                                    <div class="block">Sets the height of the font in 1/20th point units</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#setFontStyle-boolean-boolean-">setFontStyle</a></span>(boolean&nbsp;italic,
                                    boolean&nbsp;bold)</code>
                                    <div class="block">set font style options.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#setUnderlineType-short-">setUnderlineType</a></span>(short&nbsp;underlineType)</code>
                                    <div class="block">set the type of underlining type for the font</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getEscapementType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEscapementType</h4>
                                <pre>public&nbsp;short&nbsp;getEscapementType()</pre>
                                <div class="block">get the type of super or subscript for the font</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#getEscapementType--">getEscapementType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>super or subscript option</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_NONE"><code>FontFormatting.SS_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUPER"><code>FontFormatting.SS_SUPER</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUB"><code>FontFormatting.SS_SUB</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setEscapementType-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEscapementType</h4>
                                <pre>public&nbsp;void&nbsp;setEscapementType(short&nbsp;escapementType)</pre>
                                <div class="block">set the escapement type for the font</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setEscapementType-short-">setEscapementType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>escapementType</code> - super or subscript option</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_NONE"><code>FontFormatting.SS_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUPER"><code>FontFormatting.SS_SUPER</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUB"><code>FontFormatting.SS_SUB</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isStruckout--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isStruckout</h4>
                                <pre>public&nbsp;boolean&nbsp;isStruckout()</pre>
                                <div class="block">XMLBeans and the XSD make this look like it can have multiple values,
                                    but it is maxOccurrs=1.
                                    Use get*Array(), it is much faster than get*List().
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#isStruckout--">isStruckout</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font strikeout is on</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#isStruckout--"><code>FontFormatting.isStruckout()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontColorIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontColorIndex</h4>
                                <pre>public&nbsp;short&nbsp;getFontColorIndex()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#getFontColorIndex--">getFontColorIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>font color index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontColorIndex-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontColorIndex</h4>
                                <pre>public&nbsp;void&nbsp;setFontColorIndex(short&nbsp;color)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontColorIndex-short-">FontFormatting</a></code></span>
                                </div>
                                <div class="block">Sets the indexed colour to use</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontColorIndex-short-">setFontColorIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - font color index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFColor</a>&nbsp;getFontColor()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#getFontColor--">getFontColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The colour of the font, or null if no colour applied</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontColor-org.apache.poi.ss.usermodel.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontColor</h4>
                                <pre>public&nbsp;void&nbsp;setFontColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontColor-org.apache.poi.ss.usermodel.Color-">FontFormatting</a></code></span>
                                </div>
                                <div class="block">Sets the colour to use</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontColor-org.apache.poi.ss.usermodel.Color-">setFontColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - font colour to use</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontHeight</h4>
                                <pre>public&nbsp;int&nbsp;getFontHeight()</pre>
                                <div class="block">gets the height of the font in 1/20th point units</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#getFontHeight--">getFontHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>fontheight (in points/20); or -1 if not modified</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontHeight-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontHeight</h4>
                                <pre>public&nbsp;void&nbsp;setFontHeight(int&nbsp;height)</pre>
                                <div class="block">Sets the height of the font in 1/20th point units</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontHeight-int-">setFontHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - the height in twips (in points/20)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUnderlineType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnderlineType</h4>
                                <pre>public&nbsp;short&nbsp;getUnderlineType()</pre>
                                <div class="block">get the type of underlining for the font</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#getUnderlineType--">getUnderlineType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>font underlining type</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_NONE"><code>FontFormatting.U_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_SINGLE"><code>FontFormatting.U_SINGLE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_DOUBLE"><code>FontFormatting.U_DOUBLE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_SINGLE_ACCOUNTING"><code>FontFormatting.U_SINGLE_ACCOUNTING</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_DOUBLE_ACCOUNTING"><code>FontFormatting.U_DOUBLE_ACCOUNTING</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setUnderlineType-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnderlineType</h4>
                                <pre>public&nbsp;void&nbsp;setUnderlineType(short&nbsp;underlineType)</pre>
                                <div class="block">set the type of underlining type for the font</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setUnderlineType-short-">setUnderlineType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>underlineType</code> - super or subscript option</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_NONE"><code>FontFormatting.U_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_SINGLE"><code>FontFormatting.U_SINGLE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_DOUBLE"><code>FontFormatting.U_DOUBLE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_SINGLE_ACCOUNTING"><code>FontFormatting.U_SINGLE_ACCOUNTING</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#U_DOUBLE_ACCOUNTING"><code>FontFormatting.U_DOUBLE_ACCOUNTING</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isBold--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isBold</h4>
                                <pre>public&nbsp;boolean&nbsp;isBold()</pre>
                                <div class="block">get whether the font weight is set to bold or not</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#isBold--">isBold</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>bold - whether the font is bold or not</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isItalic--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isItalic</h4>
                                <pre>public&nbsp;boolean&nbsp;isItalic()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#isItalic--">isItalic</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font style was set to <i>italic</i></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontStyle-boolean-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontStyle</h4>
                                <pre>public&nbsp;void&nbsp;setFontStyle(boolean&nbsp;italic,
                         boolean&nbsp;bold)</pre>
                                <div class="block">set font style options.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontStyle-boolean-boolean-">setFontStyle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>italic</code> - - if true, set posture style to italic, otherwise to
                                        normal
                                    </dd>
                                    <dd><code>bold</code> - if true, set font weight to bold, otherwise to normal</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="resetFontStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>resetFontStyle</h4>
                                <pre>public&nbsp;void&nbsp;resetFontStyle()</pre>
                                <div class="block">set font style options to default values (non-italic, non-bold)</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#resetFontStyle--">resetFontStyle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFFontFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFFontFormatting.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFFontFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
